---
title: HTMLFormElement.method
slug: Web/API/HTMLFormElement/method
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLFormElement.method</strong></code> property represents the {{Glossary("HTTP")}} method used to submit the {{HtmlElement("form")}}.</p>

<p>Unless explicitly specified, the default method is 'get'.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>form</em>.method;
<em>form</em>.method = <em>string</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.forms['myform'].method = 'post';

const formElement = document.createElement("form"); // Create a form
document.body.appendChild(formElement);
console.log(formElement.method); // 'get'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-fs-method', 'HTMLFormElement: method')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.method")}}</p>
